Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.examples
Class PicoIX.IX_System

    java.lang.Object
      ix.examples.PicoIX.IX_System

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  PicoISim.IX_Simulator

Enclosing class:
  PicoIX

    static class PicoIX.IX_System

extends java.lang.Object
implements java.lang.Runnable

A simple I-X entity with its own thread.

Field Summary
`(package private) PicoIX.Controller` | `controller`
`(package private) PicoIX.IX_SystemListener` | `listener`
`(package private) PicoIX.ModelManager` | `model`
`(package private) MessageQueue` | `q`
`(package private) java.lang.Thread` | `thread`

Constructor Summary
`PicoIX.IX_System()`
`PicoIX.IX_System(PicoIX.Controller c, PicoIX.ModelManager a)`

Method Summary
`(package private) void` | `addActivityHandlers(java.lang.Object[] activityHandlers)`
`(package private) void` | `addConstraintManagers(java.lang.Object[] constraintManagers)`
`(package private) PicoIX.Activity` | `eventToActivity(java.lang.Object e)`
`void` | `newEvent(java.lang.Object e)`
`(package private) void` | `notifyListener(java.lang.Object message)`
`void` | `run()`
`void` | `setListener(PicoIX.IX_SystemListener listener)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thread

    java.lang.Thread thread

### q

    MessageQueue q

### controller

    PicoIX.Controller controller

### model

    PicoIX.ModelManager model

### listener

    PicoIX.IX_SystemListener listener

Constructor Detail

### PicoIX.IX_System

    PicoIX.IX_System()

### PicoIX.IX_System

    PicoIX.IX_System(PicoIX.Controller c,
                     PicoIX.ModelManager a)

Method Detail

### addActivityHandlers

    void addActivityHandlers(java.lang.Object[] activityHandlers)

### addConstraintManagers

    void addConstraintManagers(java.lang.Object[] constraintManagers)

### setListener

    public void setListener(PicoIX.IX_SystemListener listener)

### notifyListener

    void notifyListener(java.lang.Object message)

### newEvent

    public void newEvent(java.lang.Object e)

### eventToActivity

    PicoIX.Activity eventToActivity(java.lang.Object e)

### start

    public void start()

### stop

    public void stop()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD